package cn.iocoder.yudao.module.system.api.remote;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.api.remote.dto.*;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 远遥任务相关")
public interface RemoteExceptionTaskApi {

    String PREFIX = ApiConstants.PREFIX + "/remote";

    @PostMapping(PREFIX + "/getExceptionTaskDetail")
    @Operation(summary = "远遥查询异常的车辆")
    PageResult<RemoteExceptionTaskDetailDTO> getExceptionTaskDetail(@RequestBody RemoteTaskQueryDTO remoteTaskQuery);

    @PostMapping(PREFIX + "/getCarmeraByRobotNo")
    @Operation(summary = "查摄像头信息")
    CommonResult<List<RemoteRobotCameraDTO>> getCarmeraByRobotNo(@RequestParam("robotNo") String robotNo);

    @PostMapping(PREFIX + "/remoteTransferTask")
    @Operation(summary = "查摄像头信息")
    CommonResult<Boolean> remoteTransferTask(@RequestBody RemoteTaskTransferDTO remoteTaskTransfer);
}
