package cn.iocoder.yudao.module.system.controller.admin.positionmap.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 区域变更点绑定 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PositionChangePointBindingRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "17369")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "点位1的id", example = "4491")
    @ExcelProperty("点位1的id")
    private Long startingPointId;

    @Schema(description = "点位2的id", example = "24948")
    @ExcelProperty("点位2的id")
    private Long endPointId;

    @Schema(description = "点位1自增排序")
    @ExcelProperty("点位1自增排序")
    private Long startingPointSortNum;

    @Schema(description = "点位2自增排序")
    @ExcelProperty("点位2自增排序")
    private Long endPointSortNum;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "startingPointId的地图id")
    @ExcelProperty("startingPointId的地图id")
    private Long positionMapId;

}