package cn.iocoder.yudao.module.system.controller.admin.remote.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 远遥任务转移记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ControllerTaskTransferLogRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7050")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "远遥的设备IP")
    @ExcelProperty("远遥的设备IP")
    private String remoteIp;

    @Schema(description = "robot_task_detail的id", example = "3495")
    @ExcelProperty("robot_task_detail的id")
    private Long taskDetailId;

    @Schema(description = "任务转移时的任务阶段(0:待执行、1：前往取货、2：取货中、3：前往放货、4：放货中、5：结束、6：移动中、7:正在充电、8:取消、9:人工完成、10:异常)")
    @ExcelProperty("任务转移时的任务阶段(0:待执行、1：前往取货、2：取货中、3：前往放货、4：放货中、5：结束、6：移动中、7:正在充电、8:取消、9:人工完成、10:异常)")
    private Long taskStage;

    @Schema(description = "任务号")
    @ExcelProperty("任务号")
    private String taskNo;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "转移时选择的远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    @ExcelProperty("转移时选择的远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    private Integer remoteMode;

    @Schema(description = "转移后的AGV编号")
    @ExcelProperty("转移后的AGV编号")
    private String transferRobotNo;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}