package cn.iocoder.yudao.module.system.controller.admin.remote.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 远遥设备信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RemoteControllerInformationRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26526")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "远遥的设备IP")
    @ExcelProperty("远遥的设备IP")
    private String remoteIp;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    @ExcelProperty("远遥模式(0:自动模式, 1:手动模式, 2:自由模式)")
    private Integer remoteMode;

    @Schema(description = "协控(0:关闭协控, 1:开启协控)")
    @ExcelProperty("协控(0:关闭协控, 1:开启协控)")
    private Integer collaborativeControl;

    @Schema(description = "远遥的其他信息")
    @ExcelProperty("远遥的其他信息")
    private String remoteMsg;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "服务IP")
    private String systemIp;

    @Schema(description = "服务端口")
    private String systemPort;

    @Schema(description = "robot_task_detail的id", example = "3495")
    private Long taskDetailId;
}