package cn.iocoder.yudao.module.system.controller.admin.robot.camera;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Schema(description = "管理后台 - 车辆摄像头信息新增/修改 Request VO")
@Data
public class RobotCameraAddVO {

    @Schema(description = "摄像头id")
    private Long id;

    @Schema(description = "摄像头位置(0:上, 1:左, 2:右, 3:下, 4:后)")
    @NotNull(message = "请选择摄像头位置")
    private Integer cameraPosition;

    @Schema(description = "摄像头IP--长度20")
    @Size(min = 0,max = 20 ,message = "摄像头IP长度超过限制")
    private String cameraIp;

    @Schema(description = "摄像头端口--长度10")
    @Size(min = 0,max = 10 ,message = "摄像头端口长度超过限制")
    private String cameraPort;

    @Schema(description = "摄像头账号--长度30", example = "24863")
    @Size(min = 0,max = 30 ,message = "摄像头账号长度超过限制")
    private String cameraAccount;

    @Schema(description = "摄像头密码--长度40")
    @Size(min = 0,max = 40 ,message = "摄像头密码长度超过限制")
    private String cameraPassword;
}
