package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 机器人自动移库新增/修改 Request VO")
@Data
public class RobotTaskAutoMoveSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "30110")
    private Long id;

    @Schema(description = "机器人任务主表id", example = "24553")
    private Long robotTaskId;

    @Schema(description = "机器人任务明细表id", example = "11392")
    private Long robotTaskDetailId;

    @Schema(description = "原库位编号")
    private String fromLocationNo;

    @Schema(description = "原库位id", example = "8838")
    private Long fromLocationId;

    @Schema(description = "搬去的目标库位编号")
    private String toLocationNo;

    @Schema(description = "取货线库id")
    private Long fromLaneId;

    @Schema(description = "放货线库id(目前设计不会用到此字段)")
    private Long toLaneId;

    @Schema(description = "搬去的目标库位id/停车点/充电点/移动终点", example = "19168")
    private Long toLocationId;

    @Schema(description = "任务状态(0:未开始、1：执行中、2：已完成、3：已取消、4：异常)", example = "1")
    private Integer taskStatus;

    @Schema(description = "优先级")
    private Long priority;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "任务类型（1：自动移库、 ）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "任务类型（1：自动移库、 ）不能为空")
    private Integer taskType;

    @Schema(description = "移动类型（1：去、 2：回）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "移动类型（1：去、 2：回）不能为空")
    private Integer moveType;

    @Schema(description = "开始时间")
    private LocalDateTime startTime;

    @Schema(description = "结束时间")
    private LocalDateTime endTime;

    @Schema(description = "robot_task_auto_move表id，来回搬运需要记录上一次搬运的源库位", example = "32231")
    private Long taskAutoMoveId;

}