package cn.iocoder.yudao.module.system.controller.admin.wait.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆前往等待点记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class MoveToWaitRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "19107")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "AGV编号")
    @ExcelProperty("AGV编号")
    private String robotNo;

    @Schema(description = "地图字表节点id", example = "15970")
    @ExcelProperty("地图字表节点id")
    private Long positionMapItemId;

    @Schema(description = "任务状态(0：未开始、1：前往等待点、2：已到达等待点、3：已离开等待点)", example = "1")
    @ExcelProperty("任务状态(0：未开始、1：前往等待点、2：已到达等待点、3：已离开等待点)")
    private Integer waitStatus;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}