package cn.iocoder.yudao.module.system.controller.admin.wait.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 车辆前往等待点记录新增/修改 Request VO")
@Data
public class MoveToWaitSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "19107")
    private Long id;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "地图字表节点id", example = "15970")
    private Long positionMapItemId;

    @Schema(description = "任务状态(0：未开始、1：前往等待点、2：已到达等待点、3：已离开等待点)", example = "1")
    private Integer waitStatus;

}