package cn.iocoder.yudao.module.system.dal.dataobject.robot;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 车辆摄像头信息 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_camera")
@KeySequence("robot_camera_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RobotCameraDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * 摄像头位置(0:上, 1:左, 2:右, 3:下, 4:后)
     */
    private Integer cameraPosition;
    /**
     * 摄像头IP
     */
    private String cameraIp;
    /**
     * 摄像头端口
     */
    private String cameraPort;
    /**
     * 摄像头账号
     */
    private String cameraAccount;
    /**
     * 摄像头密码
     */
    private String cameraPassword;

}