package cn.iocoder.yudao.module.system.service.log;

import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.log.vo.RobotOperationLogPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.log.vo.RobotOperationLogSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.log.RobotOperationLogDO;

/**
 * 机器人动作记录 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotOperationLogService {

    /**
     * 创建机器人动作记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOperationLog(@Valid RobotOperationLogSaveReqVO createReqVO);

    /**
     * 更新机器人动作记录
     *
     * @param updateReqVO 更新信息
     */
    void updateOperationLog(@Valid RobotOperationLogSaveReqVO updateReqVO);

    /**
     * 删除机器人动作记录
     *
     * @param id 编号
     */
    void deleteOperationLog(Long id);

    /**
     * 获得机器人动作记录
     *
     * @param id 编号
     * @return 机器人动作记录
     */
    RobotOperationLogDO getOperationLog(Long id);

    /**
     * 获得机器人动作记录分页
     *
     * @param pageReqVO 分页查询
     * @return 机器人动作记录分页
     */
    PageResult<RobotOperationLogDO> getOperationLogPage(RobotOperationLogPageReqVO pageReqVO);

}