package cn.iocoder.yudao.module.system.service.remote;

import java.util.*;
import javax.validation.*;

import cn.iocoder.yudao.module.system.controller.admin.remote.vo.ControllerTaskTransferLogPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.remote.vo.ControllerTaskTransferLogSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.remote.ControllerTaskTransferLogDO;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 远遥任务转移记录 Service 接口
 *
 * @author 陈宾顺
 */
public interface ControllerTaskTransferLogService extends IService<ControllerTaskTransferLogDO> {

    /**
     * 创建远遥任务转移记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createControllerTaskTransferLog(@Valid ControllerTaskTransferLogSaveReqVO createReqVO);

    /**
     * 更新远遥任务转移记录
     *
     * @param updateReqVO 更新信息
     */
    void updateControllerTaskTransferLog(@Valid ControllerTaskTransferLogSaveReqVO updateReqVO);

    /**
     * 删除远遥任务转移记录
     *
     * @param id 编号
     */
    void deleteControllerTaskTransferLog(Long id);

    /**
     * 获得远遥任务转移记录
     *
     * @param id 编号
     * @return 远遥任务转移记录
     */
    ControllerTaskTransferLogDO getControllerTaskTransferLog(Long id);

    /**
     * 获得远遥任务转移记录分页
     *
     * @param pageReqVO 分页查询
     * @return 远遥任务转移记录分页
     */
    PageResult<ControllerTaskTransferLogDO> getControllerTaskTransferLogPage(ControllerTaskTransferLogPageReqVO pageReqVO);

}
